com.h3c.sdn

## Class BaseFilter

- java.lang.Object
- - com.h3c.sdn.BaseFilter

- Direct Known Subclasses:
    AlertFilter, AuditLogFilter, CtlAddrManagerFilter, HostManagerFilter

      public abstract class BaseFilter
      extends Object

  Filter entities based on the supplied conditions. Appropriate conditions are defined for the attributes associated with entity data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `EqualityCondition<UUID>` | `getSysIdCondition()` Returns `EqualityCondition` that has been defined for filtering against the system identification
    `IntervalCondition<Date>` | `getTimestampCondition()` Returns the `IntervalCondition` that has been defined for filtering against the time stamp
    `int` | `hashCode()`
    `void` | `setSysIdCondition(EqualityCondition<UUID> condition)` Sets the system identification condition to apply.
    `void` | `setSysIdCondition(UUID sysIdToMatch)` Sets the system identification string that should be matched against.
    `void` | `setTimestampCondition(IntervalCondition<Date> timestampCondition)` Sets the `IntervalCondition` to be used for filtering based on the time stamp
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseFilter

          public BaseFilter()

  - ### Method Detail

    - #### getSysIdCondition

          public EqualityCondition<UUID> getSysIdCondition()

      Returns `EqualityCondition` that has been defined for filtering against the system identification
      Returns:
        the `EqualityCondition` for filtering based on the system identification

    - #### setSysIdCondition

          public void setSysIdCondition(UUID sysIdToMatch)

      Sets the system identification string that should be matched against.
      Parameters:
        `sysIdToMatch` - the string representation of the system identification to filter. An `EqualityCondition` will be created for an exact match filter against the supplied parameter

    - #### setSysIdCondition

          public void setSysIdCondition(EqualityCondition<UUID> condition)

      Sets the system identification condition to apply.
      Parameters:
        `condition` - condition

    - #### getTimestampCondition

          public IntervalCondition<Date> getTimestampCondition()

      Returns the `IntervalCondition` that has been defined for filtering against the time stamp
      Returns:
        the `IntervalCondition` for filtering based on the time stamp

    - #### setTimestampCondition

          public void setTimestampCondition(IntervalCondition<Date> timestampCondition)

      Sets the `IntervalCondition` to be used for filtering based on the time stamp
      Parameters:
        `timestampCondition` - the `IntervalCondition` filter to be used on the time stamp

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.